# ~/.bashrc: executed by bash(1) for non-login shells.
# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
# for examples

#if [ -f "$HOME/.at_login" ]; then
#	/bin/bash "$HOME/.at_login"
#fi

# If not running interactively, don't do anything
[ -z "$PS1" ] && return

# don't put duplicate lines in the history. See bash(1) for more options
# ... or force ignoredups and ignorespace
HISTCONTROL=ignoredups:ignorespace

# append to the history file, don't overwrite it
shopt -s histappend

# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
HISTSIZE=1000
HISTFILESIZE=2000

# check the window size after each command and, if necessary,
# update the values of LINES and COLUMNS.
shopt -s checkwinsize

# make less more friendly for non-text input files, see lesspipe(1)
[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"

# Aliases
[ -f ~/.bash_aliases ] && source ~/.bash_aliases

if [ -f /etc/bash_completion ] && ! shopt -oq posix; then
    . /etc/bash_completion
fi

[ -f ~/.bash_ps1 ] && source ~/.bash_ps1

[ -f ~/.bash_sshagent ] && source ~/.bash_sshagent

export GTK_IM_MODULE=xim

export EDITOR=/usr/bin/vim

export _JAVA_OPTIONS='-Dawt.useSystemAAFontSettings=on -Dswing.aatext=true -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel'

export PATH="$PATH:/home/tobast/bin"
export MANPATH="$MANPATH:$HOME/local/man"

export TERMINAL="/usr/bin/terminator"

export LC_REALUSER='tbastian'

# Opam
which opam > /dev/null 2>&1 && [ -f ~/.opam ] && eval `opam config env`
